Skip to main content

Error handling

The FrankieOne API uses a standardized error format to ensure that you can reliably handle issues that arise from bad requests, server problems, or invalid data. All non-2xx responses will return a consistent JSON error object. Please refer to the general API Error Codes documentation for a comprehensive list of error types and their meanings. This document replaces any specific error handling guides for individual products unless explicitly stated otherwise.

Scenarios

HTTP Status Code : Frankie Error Code400 : VAL-0400
{
  "details": [
    {
      "issue": "request body has an error: doesn't match schema #/components/schemas/...",
      "issueLocation": "Request",
      "issueType": "Bad Request"
    }
  ],
  "errorCode": "400",
  "errorMsg": "Bad Request",
  "requestId": "01K8SQNX22ZC66XKHMQ1324RJC"
}
HTTP Status Code : Frankie Error Code400 : VAL-0400
{
    "errorCode": "VAL-0400",
    "errorMsg": "Validation failed",
    "details": [
        {
            "issue": "{message}",
            "issueLocation": "{location}"
        }
    ],
    "requestId": "01GVEDZ0C1Q9NWQ699DBBKPE4Y"
}

  • Invalid limit or page parameter
  • beforeActivityAt is earlier than afterActivityAt
  • Invalid sortField other than activityAt
  • afterActivityAt is in the future
HTTP Status Code : Frankie Error Code400 : VAL-0400
{
  "details": [
    {
      "issue": "request body has an error: doesn't match schema #/components/schemas/Evaluate-Activity-Req: Error at \"/activity/detail\": input does not contain the discriminator property \"activityType\"\nSchema:\n  {\n    \"description\": \"Details of the activity being checked\",\n    \"discriminator\": {\n      \"mapping\": {\n        \"EVENT\": \"#/components/schemas/Activity-Event\",\n        \"TRANSACTION\": \"#/components/schemas/Activity-Transaction\"\n      },\n      \"propertyName\": \"activityType\"\n    },\n    \"oneOf\": [\n      {\n        \"$ref\": \"#/components/schemas/Activity-Event\"\n      },\n      {\n        \"$ref\": \"#/components/schemas/Activity-Transaction\"\n      }\n    ],\n    \"type\": \"object\"\n  }\n\nValue:\n  null\n",
      "issueLocation": "Request",
      "issueType": "Bad Request"
    }
  ],
  "errorCode": "400",
  "errorMsg": "Bad Request",
  "requestId": "01K8SQNX22ZC66XKHMQ1324RJC"
}

HTTP Status Code : Frankie Error Code400 : VAL-0404
{
    "errorCode": "VAL-0404",
    "errorMsg": "Entity not found",
    "details": [
        {
            "issue": "The specified entity does not exist",
            "issueLocation": "body.party.entityId"
        }
    ],
    "requestId": "01GVEDZ0C1Q9NWQ699DBBKPE4Y"
}
HTTP Status Code : Frankie Error Code409 : VAL-0409
{
  "errorCode": "VAL-0409",
  "errorMsg": "Validation failed",
  "details": [
    {
      "issue": "The transaction with the provided identifier already exists.",
      "issueLocation": "activity.detail.transaction.transactionIdentifier" 
    }
  ],
  "requestId": "01HN9XHZN6MGXM9JXG50K59Q88"
}
HTTP Status Code : Frankie Error Code500 : SYS-500
{
    "errorCode": "SYS-0500",
    "errorMsg": "Provider service error",
    "details": [
        {
            "issue": "Failed to evaluate activity",
            "issueLocation": "connector"
        }
    ],
    "requestId": "01GVEDZ0C1Q9NWQ699DBBKPE4Y"
}

More resources